Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface SimpleRichTextType

All Known Subinterfaces:
  RichPointerType.P, RichPointerType.Quotation, RichTextType.P, RichTextType.Quotation, SimpleRichTextWithAuthorType, SimpleRichTextWithInfoType, SimpleRichTextWithOwnerReplaceType, SimpleRichTextWithOwnerType, SimpleRichTextWithSeparatorType

All Known Implementing Classes:
  RichPointerTypeImpl.PImpl, RichPointerTypeImpl.QuotationImpl, RichTextTypeImpl.PImpl, RichTextTypeImpl.QuotationImpl, SimpleRichTextTypeImpl, SimpleRichTextWithAuthorTypeImpl, SimpleRichTextWithInfoTypeImpl, SimpleRichTextWithOwnerReplaceTypeImpl, SimpleRichTextWithOwnerTypeImpl, SimpleRichTextWithSeparatorTypeImpl

    public interface SimpleRichTextType

Text that can contain the following styles: em (usually represented as italics), strong (bold), code (monospace font), a (hyperlink), and pre (preformatted, including multiple contiguous spaces and tab characters). Styles can be nested within each other. This text is assumed to be in a single paragraph (i.e., containing no p elements). Java content class for simpleRichTextType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 756)

     <complexType name="simpleRichTextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice minOccurs="0">
             <element name="em" type="{http://infoml.org/infomlFile}emType"/>
             <element name="strong" type="{http://infoml.org/infomlFile}strongType"/>
             <element name="code" type="{http://infoml.org/infomlFile}codeType"/>
             <element name="a" type="{http://infoml.org/infomlFile}aType"/>
             <element name="pre" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static interface` | `SimpleRichTextType.A` Java content class for a element declaration.
`static interface` | `SimpleRichTextType.Code` Java content class for code element declaration.
`static interface` | `SimpleRichTextType.Em` Java content class for em element declaration.
`static interface` | `SimpleRichTextType.Pre` Java content class for pre element declaration.
`static interface` | `SimpleRichTextType.Strong` Java content class for strong element declaration.

Method Summary
`java.util.List` | `getContent()` Text that can contain the following styles: em (usually represented as italics), strong (bold), code (monospace font), a (hyperlink), and pre (preformatted, including multiple contiguous spaces and tab characters).

Method Detail

### getContent

    java.util.List getContent()

  Text that can contain the following styles: em (usually represented as italics), strong (bold), code (monospace font), a (hyperlink), and pre (preformatted, including multiple contiguous spaces and tab characters). Styles can be nested within each other. This text is assumed to be in a single paragraph (i.e., containing no p elements).Gets the value of the Content property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Content property.

  For example, to add a new item, do as follows:

          getContent().add(newItem);

  Objects of the following type(s) are allowed in the list `String` `SimpleRichTextType.A` `SimpleRichTextType.Pre` `SimpleRichTextType.Strong` `SimpleRichTextType.Em` `SimpleRichTextType.Code`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD